Package Details: pavolume-git 20130128-1

Git Clone URL: https://aur.archlinux.org/pavolume-git.git (read-only, click to copy)
Package Base: pavolume-git
Description: A simple PulseAudio volume control script with commandline access and notifications using libnotify.
Upstream URL: https://github.com/sseemayer/pavolume
Licenses: GPL
Submitter: semi
Maintainer: semi
Last Packager: semi
Votes: 3
Popularity: 0.000000
First Submitted: 2012-11-03 11:45
Last Updated: 2015-07-06 08:11

Latest Comments

alaskanarcher commented on 2020-02-22 01:41

This PKGBUILD has a number of issues. For one, the build() function should not be used for fetching sources. This makes it difficult to use this PKGBUILD with typical makepkg flags like --nobuild

alaskanarcher commented on 2020-02-22 01:12

I get the following error when trying to run this

$ pavolume volup
/usr/bin/pavolume:30: PyGIWarning: Notify was imported without specifying a version first. Use gi.require_version('Notify', '0.7') before import to ensure that the right version gets loaded.
  from gi.repository import Notify
Traceback (most recent call last):
  File "/usr/bin/pavolume", line 137, in <module>
    volume_mod(1, args['--noshow'], args['--nolimit'], args['--quiet'])
  File "/usr/bin/pavolume", line 101, in volume_mod
    volume_set(volume, noshow, quiet)
  File "/usr/bin/pavolume", line 91, in volume_set
    if not noshow: show()
  File "/usr/bin/pavolume", line 87, in show
    Notify.Notification.new(title, pb, "dialog-information").show()
gi.repository.GLib.Error: g-dbus-error-quark: GDBus.Error:org.freedesktop.DBus.Error.ServiceUnknown: The name org.freedesktop.Notifications was not provided by any .service files (2)

semi commented on 2013-01-28 17:30

Thanks for noticing, should be fixed now :)

patryk commented on 2013-01-24 17:55

PKGBUILD is wrong :

$ whereis pavolume
pavolume: /usr/bin/pavolume /etc/pavolume /usr/share/pavolume
ls -lash /usr/bin/pavolume
4,0K lrwxrwxrwx 1 root root 74 01-24 18:53 /usr/bin/pavolume -> /var/cache/pacman/yaourtbuild/pavolume-git/pkg/usr/share/pavolume/pavolum